<template>
  <Dialog
    v-model="dialogVisible"
    diaTitle="流程预览"
    width="80%"
    height="500"
    @close="closeFun"
  >
    <div class="flow-box">

      <FlowView type="review" :flowUuid="flowUuid"></FlowView>
    </div>
  </Dialog>
</template>
<script setup lang="ts">

import Dialog from '@/components/common/dialog/index.vue';
import { computed, onMounted } from 'vue';
import FlowView from './flowView.vue';

const props = defineProps({
  showDialog: {
    type: Boolean,
    default: false,
  },
  flowUuid: {
    type: String,
    default: '',
  },
});
const emits = defineEmits(['update:showDialog' ]);

const dialogVisible = computed({
  get() {
    return props.showDialog;
  },
  set(val) {
    emits('update:showDialog', val);
  },
});

const closeFun = () => {
  console.log('关闭弹窗');
  emits('update:showDialog', false);
};

onMounted(async() => {

});

</script>
<style lang="scss" scoped>
.flow-box {
  height: 70vh;
}
</style>
